<!DOCTYPE html>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<html lang="${localization['common.langid']}">
    <head>        
        <jsp:include page="includes/head.jsp"></jsp:include>
        </head>
        <body>
        <jsp:include page="includes/header.jsp"></jsp:include>

            <div class="container">            
            <c:choose>
                <c:when test="${not empty autherrorinactive}">
                    <p>${localization['auth.errorinactive']}</p>
                </c:when>
                <c:when test="${not empty autherror}">
                    <p>${localization['auth.errorlogin']}</p>

                </c:when>
                <c:otherwise>
                    <h2>Login page</h2>
                    <p>${localization['auth.loginmessage']}</p>
                    <p>&nbsp;</p>
                    <p><a id="lgbtn" href="./index">${localization['auth.loginlabel']}</a></p>
                    </c:otherwise>
                </c:choose>
        </div>

        <script>
            $(function () {
                $("#lgbtn").button({
                    text: true
                });
            });
        </script>

        <jsp:include page="includes/footer.jsp"></jsp:include> 
        <jsp:include page="includes/page-end.jsp"></jsp:include> 

    </body>
</html>