/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package eu.europa.ec.re3gistrycommon.util;

import eu.europa.ec.re3gistrycommon.utils.StringUtils;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

public class StringUtilsTest {

    public StringUtilsTest() {
    }

    @BeforeClass
    public static void setUpClass() {
    }

    @AfterClass
    public static void tearDownClass() {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }

    /**
     * Test of getMD5 method, of class StringUtils.
     */
    @Test
    public void testGetMD5() throws Exception {
        System.out.println("getMD5");
        String in = "test";
        Class objectType = String.class;
        String expResult = "5298ffaa4a4a6228ef68eee9e97d0827";
        try {
            String result = StringUtils.getMD5(in, objectType);
            assertEquals(expResult, result);
        } catch (Exception e) {
            fail("getMD5 failed");
        }
    }

    /**
     * Test of normalize method, of class StringUtils.
     */
    @Test
    public void testNormalize() {
        System.out.println("normalize");
        String in = " Te st ";
        String expResult = "Test";
        String result = StringUtils.normalize(in);
        assertEquals(expResult, result);
    }

    /**
     * Test of createUUID method, of class StringUtils.
     */
    @Test
    public void testCreateUUID() throws Exception {
        System.out.println("createUUID");
        String in = "test";
        Class objectType = String.class;
        String expResult = "5298ffaa4a4a6228ef68eee9e97d0827";
        try {
            String result = StringUtils.createUUID(in, objectType);
            System.out.println(result);
            assertEquals(expResult, result);
        } catch (Exception e) {
            fail("createUUID failed");
        }
    }
}
